import javax.swing.JOptionPane; // giriş çıkış
import daire;

class dairetest_2000
{
  public static void main(String args[])
  {
  nokta merkez=new nokta(1.0,2.0);
  daire d1=new daire(2.5,1.0,2.0);
  String s="";
  s+="nokta : "+merkez.toString()+"\n";
  s+="daire : "+d1.toString()+"\n";
  s+="dairenin alanı : "+d1.alan()+"\n";
  //not : noktagir metodu kalıtımla nokta sınıfından aktarılmıştır
  d1.noktagir(1.5,2.5);
  s+="daire(merkez degisti) : "+d1.toString()+"\n";
  d1.yaricapgir(1.0);
  s+="daire(yaricap degisti) : "+d1.toString()+"\n";
  s+="dairenin alanı : "+d1.alan()+"\n";
  JOptionPane.showMessageDialog(null,s,
  "daire testi 2000",JOptionPane.PLAIN_MESSAGE);
  System.exit(0);
  }
}
